#ifndef ossimGuiOverlayBase_HEADER
#define ossimGuiOverlayBase_HEADER

#include <QtGui/QWidget>
#include <QPointF>
#include <ossimGui/Export.h>
#include <ossim/base/ossimObject.h>
#include <ossim/base/ossimRefPtr.h>
#include <ossim/base/ossimDpt.h>

namespace ossimGui {

	class OSSIMGUI_DLL OverlayBase : public ossimReferenced
	{
	public:
	   OverlayBase();

	   virtual void setMeasPoint(const ossimDpt& point)
	   {
	   	m_measPoint.rx() = point.x;
	   	m_measPoint.ry() = point.y;
	   }

	   virtual void setProjPoint(const ossimDpt& point)
	   {
	   	m_projPoint.rx() = point.x;
	   	m_projPoint.ry() = point.y;
	   }

	   virtual void drawMeas(QPainter& painter, const QTransform& viewToLocal);
	   virtual void drawProj(QPainter& painter, const QTransform& viewToLocal);

	protected:
      QPointF m_measPoint;
      QPointF m_projPoint;

	};

}

#endif // ossimGuiOverlayBase_HEADER
