#ifndef ossimGuiRegistrationOverlay_HEADER
#define ossimGuiRegistrationOverlay_HEADER

#include <QtGui/QWidget>
#include <ossimGui/OverlayBase.h>
#include <ossimGui/Export.h>
#include <ossim/base/ossimObject.h>
#include <ossim/base/ossimRefPtr.h>
#include <ossim/base/ossimDpt.h>
#include <ossim/base/ossimString.h>
#include <ossim/base/ossimDpt.h>
#include <map>

typedef std::map<ossimString, ossimDpt> IdDptMap_t;
typedef IdDptMap_t::const_iterator IdDptMapIter_t;

namespace ossimGui {

	class OSSIMGUI_DLL RegistrationOverlay : public OverlayBase
	{
	public:
	   RegistrationOverlay();

	   virtual void addPoint(const ossimString& id, const ossimDpt& imgPt);
	   virtual void removePoint(const ossimString& id);
      bool getPoint(const ossimString& id, ossimDpt& imgPt);

	protected:
		IdDptMap_t m_IdPtXref;

	};

}

#endif // ossimGuiRegistrationOverlay_HEADER
